<template>
  <div>
    <header class="bg-gray-900 sm:flex sm:justify-between sm:items-center sm:px-4 sm:py-3">
      <div class="flex items-center justify-between px-4 py-3 sm:p-0">
        <div>
            <inertia-link href="/" class="font-bold text-white uppercase">
            <div class="uppercase text-sm">
              hospital gotham
            </div>
            </inertia-link>
        </div>
        <div class="sm:hidden">
            <button @click="menuAbrir = !menuAbrir" type="button" class="block text-gray-500 hover:text-white focus:outline-none">
              <svg class="h-6 w-6 fill-current" viewBox="0 0 24 24" stroke="currentColor">
                <path v-if="menuAbrir" fill-rule="evenodd" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                <path v-if="!menuAbrir" fill-rule="evenodd" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
              </svg>
            </button>
        </div>
      </div>
        <nav :class="menuAbrir ? 'block' : 'hidden'" class="sm:block">
          <!-- <a href="#" class="block px-2 py-1 text-white font-semibold rounded hover:bg-gray-800">Opcion 1</a> -->
          <div class="px-2 pt-2 pb-4 sm:flex sm:p-0 items-center">
            <inertia-link class="block px-2 py-1 text-white font-semibold rounded hover:bg-gray-800" href="/nosotros">Opcion 1</inertia-link>
            <a href="#" class="mt-1 block px-2 py-1 text-white font-semibold rounded hover:bg-gray-800 sm:mt-0 sm:ml-2">Opcion 2</a>
            <a href="#" class="mt-1 block px-2 py-1 text-white font-semibold rounded hover:bg-gray-800 sm:mt-0 sm:ml-2">Opcion 3</a>
            <AuthBotones class="hidden sm:block sm:ml-3"/>
          </div>
          <div class="flex px-4 py-5 border-t border-gray-800 sm:hidden">
            <div class="flex items-center">
                <img class="w-8 h-8 border-2 border-gray-600 rounded-full object-cover" src="https://images.unsplash.com/photo-1438761681033-6461ffad8d80?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80" alt="cuca">
                <span v-if="$page.props.user" class="ml-3 font-semibold text-white">{{$page.props.user.username}}</span>
                <span v-else class="ml-3 font-semibold text-white">Invitado</span>
            </div>
            <ModalEntrar v-if="!$page.props.user" class="ml-3 px-2 py-1 w-16"/>
            <form v-else @submit.prevent="salir">
              <button type="submit" class="ml-3 p-1 bg-transparent text-yellow-300 border border-yellow-300 hover:text-gray-700 hover:bg-yellow-300 focus:outline-none rounded-md transition ease-in-out duration-150">
                  Salir
              </button>
            </form>
          </div>
        </nav>
    </header>
  </div>
</template>

<script>
import ModalEntrar from '@/Componentes/ModalEntrar'
import AuthBotones from '@/Componentes/AuthBotones'
export default {
  components: {
    ModalEntrar,
    AuthBotones,
  },
  data() {
    return {
      menuAbrir: false,
    }
  },
  methods: {
    salir() {
      this.$inertia.post(route('logout'),{
        onFinish: () => this.menuAbrir = false,
      })
    }
  }
}
</script>

<style>

</style>